Measure logo
REST API ReferenceDashboard APITraces

Fetch a span's list of instances

GET/apps/{id}/spans

Fetch a span's list of instances with optional filters.

For multiple comma separated fields, make sure no whitespace characters exist before or after commas. Pass limit and offset values to paginate results.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid

Query Parameters

span_name*string

Name of the span for which instances list is being fetched.

from?string

ISO8601 timestamp to include sessions after this time.

to?string

ISO8601 timestamp to include sessions before this time.

versions?string

List of comma separated version identifier strings to return only matching sessions.

version_codes?string

List of comma separated version codes to return only matching sessions.

countries?string

List of comma separated country identifier strings to return only matching sessions.

device_names?string

List of comma separated device name identifier strings to return only matching sessions.

device_manufacturers?string

List of comma separated device manufacturer identifier strings to return only matching sessions.

locales?string

List of comma separated device locale identifier strings to return only matching sessions.

network_providers?string

List of comma separated network provider identifier strings to return only matching sessions.

network_types?string

List of comma separated network type identifier strings to return only matching sessions.

network_generations?string

List of comma separated network generation identifier strings to return only matching sessions.

offset?integer

Number of items to skip when paginating. Use with limit parameter to control amount of items fetched.

limit?integer

Number of items to return. Used for pagination. Should be used along with offset.

filter_short_code?string

Code representing combination of filters.

span_statuses?array<integer>

Should be 0 (Unset), 1 (Ok) or 2 (Error). If multiple statuses are required, they should be passed as multiple query params like span_statuses=0&span_statuses=1&span_statuses=2.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/spans?span_name=string"
{  "meta": {    "next": false,    "previous": false  },  "results": [    {      "app_id": "e963e98a-aca9-4bab-bd62-70a74801384e",      "span_name": "activity.onCreate",      "span_id": "54b40eb484ade006",      "trace_id": "e0826847053bb9e539c9dc4d4da793ad",      "status": 0,      "start_time": "2024-11-18T14:14:55.491Z",      "end_time": "2024-11-18T14:14:55.573Z",      "duration": 82,      "app_version": "0.9.0-SNAPSHOT.debug",      "app_build": "900",      "os_name": "android",      "os_version": "35",      "device_model": "sdk_gphone16k_arm64",      "device_manufacturer": "Google"    },    {      "app_id": "e963e98a-aca9-4bab-bd62-70a74801384e",      "span_name": "activity.onCreate",      "span_id": "9f1890db9aedb305",      "trace_id": "d71f3d909689859469a7d9b38e605d56",      "status": 0,      "start_time": "2024-11-18T14:14:40.545Z",      "end_time": "2024-11-18T14:14:40.62Z",      "duration": 75,      "app_version": "0.9.0-SNAPSHOT.debug",      "app_build": "900",      "os_name": "android",      "os_version": "35",      "device_model": "sdk_gphone16k_arm64",      "device_manufacturer": "Google"    }  ]}
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue